Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask
Class TaskClass

    java.lang.Object
      edu.wpi.cetask.TaskClass

    public class TaskClass

extends Object

Field Summary
`protected TaskEngine` | `engine` Task recognizer in which DOM resides
`protected Node` | `node` Node in DOM
`static XPath` | `XPATH`

Method Summary
`boolean` | `equals(Object object)`
`List<String>` | `getDeclaredInputNames()` Return list of declared input slot names.
`List<String>` | `getDeclaredOutputNames()` Return list of declared output slot names.
`DecompositionClass` | `getDecomposition(String id)` Return decomposition class with given id for this task class or null if none.
`List<DecompositionClass>` | `getDecompositions()`
`String` | `getId()`
`List<String>` | `getInputNames()` Return list of input slot names, including "external".
`TaskModel` | `getModel()`
`String` | `getNamespace()`
`List<String>` | `getOutputNames()` Return list of output slot names, including "success" and "when".
`String` | `getProperty(String key)`
`List<Script>` | `getScripts()`
`String` | `getSlotType(String name)`
`int` | `hashCode()`
`boolean` | `isPrimitive()` Test whether this task class is primitive (relative to models in current task recognizer).
`Task` | `newInstance()`
`protected QName` | `parseQName(String qname)`
`TaskClass` | `resolveTaskClass(String qname)`
`void` | `setProperty(String key, String value)`
`String` | `toString()`
`protected String` | `xpath(String path)`
`protected Object` | `xpath(String path, QName returnType)`
`protected List<Node>` | `xpathNodes(String path)`
`protected List<String>` | `xpathValues(String path)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected final Node node

  Node in DOM

### engine

    protected final TaskEngine engine

  Task recognizer in which DOM resides

### XPATH

    public static final XPath XPATH

Method Detail

### newInstance

    public Task newInstance()

### isPrimitive

    public boolean isPrimitive()

  Test whether this task class is primitive (relative to models in current task recognizer). A task class is primitive iff there are no known decomposition types with this task as goal.

### getInputNames

    public List<String> getInputNames()

  Return list of input slot names, including "external". Note "device" has predefined meaning, but is not automatically an input to every task.

  See Also:
    `getDeclaredInputNames()`

### getOutputNames

    public List<String> getOutputNames()

  Return list of output slot names, including "success" and "when".

  See Also:
    `getDeclaredOutputNames()`

### getDeclaredInputNames

    public List<String> getDeclaredInputNames()

  Return list of declared input slot names.

  See Also:
    `getInputNames()`

### getDeclaredOutputNames

    public List<String> getDeclaredOutputNames()

  Return list of declared output slot names.

  See Also:
    `getInputNames()`

### getSlotType

    public String getSlotType(String name)

### getDecompositions

    public List<DecompositionClass> getDecompositions()

### getDecomposition

    public DecompositionClass getDecomposition(String id)

  Return decomposition class with given id for this task class or null if none.

### getScripts

    public List<Script> getScripts()

### getId

    public String getId()

### getModel

    public TaskModel getModel()

### getProperty

    public String getProperty(String key)

### setProperty

    public void setProperty(String key,
                            String value)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getNamespace

    public String getNamespace()

### resolveTaskClass

    public TaskClass resolveTaskClass(String qname)

### xpath

    protected Object xpath(String path,
                           QName returnType)

### xpath

    protected String xpath(String path)

### xpathValues

    protected List<String> xpathValues(String path)

### xpathNodes

    protected List<Node> xpathNodes(String path)

### parseQName

    protected QName parseQName(String qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD